package nl.nikhef.tools;

/**
 * Encaspulates a conversion from one type to another.
 * 
 * @author vincentb
 */
public abstract class Conversion
{
	public final Class<?> from;
	public final Class<?> to;
	
	public Conversion(Class<?> from, Class<?> to) {
		this.from = from;
		this.to = to;
	}
	
	public abstract Object convert(Object from);
	
}